READCONS(1)

NAME
readcons - prompt console for input

SYNOPSIS
readcons [ -d default ] [ -s ] prompt

DESCRIPTION
Readcons prompts at the console for input, copying the typed string to standard output. If the -s flag is given, the input is not displayed (secret). If the user types an empty string (just a newline) and the -d option is given, then default is printed instead of an empty string.

SOURCE
/src/cmd/readcons.c

SEE ALSO
readcons((3))